export { AgentSpaceArgs } from "./agentSpace";
export type AgentSpace = import("./agentSpace").AgentSpace;
export declare const AgentSpace: typeof import("./agentSpace").AgentSpace;
export { ApplicationArgs } from "./application";
export type Application = import("./application").Application;
export declare const Application: typeof import("./application").Application;
export { GetAgentSpaceArgs, GetAgentSpaceResult, GetAgentSpaceOutputArgs } from "./getAgentSpace";
export declare const getAgentSpace: typeof import("./getAgentSpace").getAgentSpace;
export declare const getAgentSpaceOutput: typeof import("./getAgentSpace").getAgentSpaceOutput;
export { GetApplicationArgs, GetApplicationResult, GetApplicationOutputArgs } from "./getApplication";
export declare const getApplication: typeof import("./getApplication").getApplication;
export declare const getApplicationOutput: typeof import("./getApplication").getApplicationOutput;
export { GetPentestArgs, GetPentestResult, GetPentestOutputArgs } from "./getPentest";
export declare const getPentest: typeof import("./getPentest").getPentest;
export declare const getPentestOutput: typeof import("./getPentest").getPentestOutput;
export { GetTargetDomainArgs, GetTargetDomainResult, GetTargetDomainOutputArgs } from "./getTargetDomain";
export declare const getTargetDomain: typeof import("./getTargetDomain").getTargetDomain;
export declare const getTargetDomainOutput: typeof import("./getTargetDomain").getTargetDomainOutput;
export { PentestArgs } from "./pentest";
export type Pentest = import("./pentest").Pentest;
export declare const Pentest: typeof import("./pentest").Pentest;
export { TargetDomainArgs } from "./targetDomain";
export type TargetDomain = import("./targetDomain").TargetDomain;
export declare const TargetDomain: typeof import("./targetDomain").TargetDomain;
export * from "../types/enums/securityagent";
